Bug 473231 - PHP built without expat
PHP built without expat
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
: 473232 473248 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-27 04:06 EST by Cliff Stanford
Modified: 2009-12-18 01:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:58:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cliff Stanford 2008-11-27 04:06:28 EST
Description of problem:
There is a mistake in the build of php.  The flag --with-expat-dir=/usr should read --with-libexpat-dir=/usr.  This means that expat-type functions are built against libexpat2 which has known and reported bugs.

Version-Release number of selected component (if applicable):
PHP Version 5.2.6

How reproducible:
Use phpinfo().

Steps to Reproduce:
1. echo '<?php phpinfo();' | php | grep -i expat
2.
3.
  
Actual results:
Erroneous flag is displayed.

Expected results:
EXPAT Version => expat_2.0.1

Additional info:
http://bugs.php.net/bug.php?id=45996 refers to the libxml2 bug and how it affects php.
Comment 1 Joe Orton 2008-11-27 06:14:09 EST
*** Bug 473232 has been marked as a duplicate of this bug. ***
Comment 2 Joe Orton 2008-11-27 06:14:18 EST
*** Bug 473248 has been marked as a duplicate of this bug. ***
Comment 3 Cliff Stanford 2008-11-27 06:23:11 EST
Apologies for the duplicate posts.  I was getting errors from the server and hadn't realised that it was storing in the database.
Comment 4 Joe Orton 2008-11-27 06:32:49 EST
See also bug 467314.

I think it's intentional that the xml extension is built using libxml2 (and the expat compat layer) rather than expat, in this case, since libxml is required for the PHP build anyway.

I would really rather not flip-flop between XML libraries any time a bug is found in either, fixing the root cause is better.
Comment 5 Joe Orton 2008-11-27 06:33:59 EST
Clearly the "BuildRequires: expat-devel" and bogus configure arg are incorrect, though; thanks for reporting that.
Comment 6 Bug Zapper 2009-11-18 03:59:58 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 01:58:23 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.